Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename split2
%global enable_tests 1

Name:		nodejs-split2
Version:	2.2.0
Release:	alt1_4
Summary:	Split a Text Stream into a Line Stream, using Stream 3

License:	ISC
URL:		https://github.com/mcollina/split2
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(safe-buffer)
BuildRequires:	npm(through2)
%if 0%{?enable_tests}
BuildRequires:	npm(callback-stream)
BuildRequires:	npm(tap)
%endif
Source44: import.info

%description
Split a Text Stream into a Line Stream, using Stream 3


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js bench.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap -b test.js
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Apr 11 2019 Igor Vlasenko <viy@altlinux.ru> 2.2.0-alt1_4
- new version

